Bug 122433 - archivers/gtar and sysutils/coreutils are broken on fresh -CURRENT
Summary: archivers/gtar and sysutils/coreutils are broken on fresh -CURRENT
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Christian Weisgerber
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-04-04 02:00 UTC by Charlie &
Modified: 2008-04-13 20:11 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Charlie & 2008-04-04 02:00:12 UTC
	archivers/gtar and sysutils/coreutils are broken on fresh -CURRENT
	after bunch of solaris' functionos import, such as openat().
	This ports checks for openat(), fdopendir() and others, and if found
	ANY of those functions, fully exclude included  defines.

Fix: 

Import fdopendir() and such  into -current?
How-To-Repeat: 	
	cd ${PORTSDIR}/archivers/gtar or ${PORTSDIR}/sysutils/coreulis and make

	Log: 
===>  Building for gtar-1.19
make  all-recursive
Making all in doc
Making all in lib
make  all-am
Making all in rmt
Making all in src
cc -std=gnu99  -O2 -pipe -march=prescott -fno-strict-aliasing  -L/usr/local/lib  -lc -o tar  buffer.o compare.o create.o  delete.o extract.o xheader.o  incremen.o list.o misc.o  names.o sparse.o system.o  tar.o transform.o update.o  utf8.o ../lib/libtar.a -L/usr/local/lib -lintl -L/usr/local/lib -liconv -R/usr/local/lib -L/usr/local/lib -liconv -R/usr/local/lib  
../lib/libtar.a(savedir.o)(.text+0x14f): In function `fdsavedir':
: undefined reference to `fdopendir'
../lib/libtar.a(getcwd.o)(.text+0x18b): In function `rpl_getcwd':
: undefined reference to `fdopendir'
*** Error code 1

Stop in /tmp/usr/ports/archivers/gtar/work/tar-1.19/src.
*** Error code 1

Stop in /tmp/usr/ports/archivers/gtar/work/tar-1.19.
*** Error code 1

Stop in /tmp/usr/ports/archivers/gtar/work/tar-1.19.
*** Error code 1

Stop in /usr/ports/archivers/gtar.
Comment 1 Edwin Groothuis freebsd_committer 2008-04-04 02:00:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->naddy

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Dima Panov 2008-04-04 07:39:46 UTC
misc/findutins is also broken with similar error

-- 
ÐмиÑÑий Ð. Ðанов

ÐдминиÑÑÑаÑÐ¾Ñ ÐÐС
ÐоÑÑдаÑÑÑÐ²ÐµÐ½Ð½Ð°Ñ ÐÐºÐ°Ð´ÐµÐ¼Ð¸Ñ Ð­ÐºÐ¾Ð½Ð¾Ð¼Ð¸ÐºÐ¸ и ÐÑава
ХабаÑовÑк, РоÑÑиÑ
Comment 3 dfilter service freebsd_committer 2008-04-11 17:12:05 UTC
naddy       2008-04-11 16:11:53 UTC

  FreeBSD ports repository

  Modified files:
    archivers/gtar       Makefile 
  Added files:
    archivers/gtar/files patch-lib_getcwd.c 
  Log:
  Work around the assumption that openat() implies the existence of
  fdopendir().  FreeBSD 8 has the former, but not the latter.
  
  PR:             122433
  
  Revision  Changes    Path
  1.58      +3 -0      ports/archivers/gtar/Makefile
  1.1       +16 -0     ports/archivers/gtar/files/patch-lib_getcwd.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 dfilter service freebsd_committer 2008-04-12 16:32:34 UTC
naddy       2008-04-12 15:32:01 UTC

  FreeBSD ports repository

  Modified files:
    misc/findutils       Makefile 
  Log:
  Work around the assumption that openat() implies the existence of
  fdopendir().  FreeBSD 8 has the former, but not the latter.
  
  PR:             122433
  Approved by:    trasz
  
  Revision  Changes    Path
  1.34      +4 -0      ports/misc/findutils/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 dfilter service freebsd_committer 2008-04-13 20:08:44 UTC
naddy       2008-04-13 19:08:36 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/coreutils   Makefile 
  Added files:
    sysutils/coreutils/files patch-lib_getcwd.c 
  Log:
  Work around the assumption that openat() implies the existence of
  fdopendir().  FreeBSD 8 has the former, but not the latter.
  
  PR:             122433
  Approved by:    maintainer
  
  Revision  Changes    Path
  1.18      +3 -0      ports/sysutils/coreutils/Makefile
  1.1       +13 -0     ports/sysutils/coreutils/files/patch-lib_getcwd.c (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Christian Weisgerber freebsd_committer 2008-04-13 20:10:02 UTC
State Changed
From-To: open->closed

The affected ports have been fixed.